<?php
require_once(LIB.'Post.class.php');
$post = new Post();
$id = @$params[0];
$keyword = $post->readKeyword($id);
if (empty($keyword)) {
	$message = 'キーワード「'.$id.'」は現在存在しません。';
	$sub_title = $message;
	include 'error.php';
	die;
}
$keyword_name = $keyword['keyword'];
$keyword_name_url = h($keyword_name);

$contents = $post->get(array('keyword' => $keyword['keyword']));

$script = <<<EOD
	$(function() {
		T.readOpt.keyword = "{$keyword_name_url}";
		T.initRead();
	});
EOD;

$title = 'キーワード: '.$keyword['keyword'];
$box = get_show_boxes(__FILE__);
include LAYOUTS.'header.inc.php';
include LAYOUTS.'control.inc.php';
include LAYOUTS.'content.inc.php';
include LAYOUTS.'footer.inc.php';
?>